### Method

# Gdk Device get_scroll_lock_state

#### Declaration [src]

    gboolean
    gdk_device_get_scroll_lock_state (
      GdkDevice* device
    )

#### Description [src]

Retrieves whether the Scroll Lock modifier of the keyboard is locked.

This is only relevant for keyboard devices.

Gets property | `Gdk.Device:scroll-lock-state`

#### Return value

Type: `gboolean`

`TRUE` if Scroll Lock is on for `device`.